[Not needed] Better texture pack support

Moderator: GZDoom Developers

Better texture pack support

Postby deathgrip22 » Sun Jun 02, 2019 9:56 pm

Texture pack AltDHTP works with GZDoom version without errors in 2.4.0 but doesn't with 4.1.2

I would think that if a texture pack works with an older version of GZDoom it should work with a new version. 8-)
deathgrip22
 
Joined: 31 May 2019
Discord: 22deathgrip
Operating System: Windows 10/8.1/8 64-bit
Graphics Processor: nVidia (Modern GZDoom)

Re: Better texture pack support

Postby wildweasel » Sun Jun 02, 2019 10:01 pm

If this is regarding this, then the problem is that you are trying to use a Doom 2 texture pack with TNT or Plutonia. The textures of those names in the Final Doom WADs are completely different textures.
User avatar
wildweasel
change o' pace.
Moderator Team Lead
 
Joined: 15 Jul 2003

Re: Better texture pack support

Postby Graf Zahl » Mon Jun 03, 2019 1:17 am

Link?
User avatar
Graf Zahl
Lead GZDoom Developer
Lead GZDoom Developer
 
Joined: 19 Jul 2003
Location: Germany

Re: Better texture pack support

Postby deathgrip22 » Mon Jun 03, 2019 9:18 pm

wildweasel wrote:If this is regarding this, then the problem is that you are trying to use a Doom 2 texture pack with TNT or Plutonia. The textures of those names in the Final Doom WADs are completely different textures.


The only way to remove the transition texture errors was to delete the texture out of the pack entirely, so I suspect you are correct. Do you know how I can go about fixing this? Is it simple a matter of taking the textures and putting them in a lump folder to exclude them from being loaded with plutonia?

The only other thing I can think of is to extract the textures I need to NOT be replaced, and put them in the HD texture pack like "doom.id.doom2.plutonia" Which I guess would cause the HD texture pack to override the Pluts default textures, then cause the default Plut textures I need to over-ride the ones from the HD pack. Sorry if that sounds overly complicated.

However, that does not explain why Doomenators AltDHTP pack ( https://zandronum.com/forum/viewtopic.php?t=6132 ) works with 2.4.0 but not with 4.1.2
Last edited by deathgrip22 on Mon Jun 03, 2019 9:34 pm, edited 4 times in total.
deathgrip22
 
Joined: 31 May 2019
Discord: 22deathgrip
Operating System: Windows 10/8.1/8 64-bit
Graphics Processor: nVidia (Modern GZDoom)

Re: Better texture pack support

Postby deathgrip22 » Mon Jun 03, 2019 9:25 pm

Graf Zahl wrote:Link?


https://zandronum.com/forum/viewtopic.php?t=6132

You can download the AltDHTP texture pack from there. It works correctly with Plutonia and TNT with version of GZDoom 2.4.0 but not with newer versions such as 4.1.2
Sorry for the late reply, wasn't sure anyone was even going to answer. I've been chasing this problem for a while.

The way it started, is I went through Doom 1/2 with the Neural Upscale texture pack and then TNT and Plutonia. I came across errors with textures that have transitions, or slides, for lack of a better word. I found that deleting some textures solved the glitches. Doomenator, the author of AltDHTP, told me I was ignorant for deleting the textures to solve compatibility problems with Plutonia and TNT, but wouldn't tell me what the problem was. Other users in the Doom World Neural Upscale Texture Pack thread told me the issue was the lumping system and that the folders are not correctly named. One of the users on the Discord told me to move some files around. I tried as he suggested but it didn't do anything.

Honestly as far as I'm concerned, if the HD texture pack works in 2.4.0 correctly then it should also work in 4.1.2, but it just doesn't, none of the compatibility settings to anything either.
deathgrip22
 
Joined: 31 May 2019
Discord: 22deathgrip
Operating System: Windows 10/8.1/8 64-bit
Graphics Processor: nVidia (Modern GZDoom)

Re: Better texture pack support

Postby _mental_ » Thu Jun 06, 2019 5:00 am

There is a bug with hires texture pack in Doomsday format like AltDHTP. Now, it's fixed.

As for the Neural Upscale pack, the problem is in its files placement.
For example, Ultimate Doom SLADRIP1/2/3 textures are in DOOM filter directory. They will be picked as replacements for any Doom IWAD because of that.
The same applies to other cases you reported here. Neural Upscale pack causes these issues with GZDoom 2.4 as well.
_mental_
 
 
 
Joined: 07 Aug 2011

Re: Better texture pack support

Postby deathgrip22 » Fri Jun 07, 2019 6:44 pm

_mental_ wrote:There is a bug with hires texture pack in Doomsday format like AltDHTP. Now, it's fixed.

As for the Neural Upscale pack, the problem is in its files placement.
For example, Ultimate Doom SLADRIP1/2/3 textures are in DOOM filter directory. They will be picked as replacements for any Doom IWAD because of that.
The same applies to other cases you reported here. Neural Upscale pack causes these issues with GZDoom 2.4 as well.


If its fixed do I redownload 4.1.2 so I can use the TX pack?
deathgrip22
 
Joined: 31 May 2019
Discord: 22deathgrip
Operating System: Windows 10/8.1/8 64-bit
Graphics Processor: nVidia (Modern GZDoom)

Re: Better texture pack support

Postby _mental_ » Fri Jun 07, 2019 11:20 pm

You need to wait for the next release. If you want this fixed now, use the latest devbuild.
_mental_
 
 
 
Joined: 07 Aug 2011


Return to Closed Feature Suggestions

Who is online

Users browsing this forum: Semrush [Bot] and 1 guest